Page MenuHomePhabricator

Activate SSL + connection pooling for CirrusSearch on PROD
Closed, ResolvedPublic

Description

Now that we have tested HTTPS + connection pooling on Labs, time to move to production.

Needs to be done:

  • configure access to elasticsearch via FQDN and not IP (for SSL certificate verification to work)
  • configure HTTP pools at HHVM level, oversize them to ensure we do not run into fatal errors
  • activate connection pooling in CirrusSearch configuration
  • deploy and test on mw1017 / mw1099
  • deploy on full cluster

New things to keep an eye on:

  • Graphite: MediaWiki.CirrusSearch.connectionPool.initMs.mean (available on prod once connection pools are activated)

Details

Related Gerrit Patches:

Event Timeline

Gehel created this task.Apr 5 2016, 12:27 PM
Restricted Application edited projects, added Discovery-Search; removed Patch-For-Review. · View Herald TranscriptApr 5 2016, 12:27 PM

Change 281881 had a related patch set uploaded (by Gehel):
Actiavte SSL connection pooling for CirrusSearch on PROD

https://gerrit.wikimedia.org/r/281881

Change 281882 had a related patch set uploaded (by Gehel):
Activate SSL and connection pooling for CirrusSearch.

https://gerrit.wikimedia.org/r/281882

Mentioned in SAL [2016-04-07T09:35:42Z] <gehel> deploying HHVM HTTP pool sizing on all MW nodes (T131839 / https://gerrit.wikimedia.org/r/#/c/281881), not used yet, no impact expected

Change 281881 merged by Gehel:
Activate SSL connection pooling for CirrusSearch on PROD

https://gerrit.wikimedia.org/r/281881

Mentioned in SAL [2016-04-07T12:08:47Z] <gehel> enabling HTTPS + connection pooling for CirrusSerach on all mediawiki nodes (T131839)

Change 281882 merged by Gehel:
Activate SSL and connection pooling for CirrusSearch.

https://gerrit.wikimedia.org/r/281882

Gehel added a comment.Apr 8 2016, 9:10 AM

HTTPS + Connection pooling is now active on production. Traffic was switched to codfw at the same time.

Deskana closed this task as Resolved.Apr 8 2016, 9:01 PM